VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

PhysicalDeviceFeatures (Bool32 robustBufferAccess_=0, Bool32 fullDrawIndexUint32_=0, Bool32 imageCubeArray_=0, Bool32 independentBlend_=0, Bool32 geometryShader_=0, Bool32 tessellationShader_=0, Bool32 sampleRateShading_=0, Bool32 dualSrcBlend_=0, Bool32 logicOp_=0, Bool32 multiDrawIndirect_=0, Bool32 drawIndirectFirstInstance_=0, Bool32 depthClamp_=0, Bool32 depthBiasClamp_=0, Bool32 fillModeNonSolid_=0, Bool32 depthBounds_=0, Bool32 wideLines_=0, Bool32 largePoints_=0, Bool32 alphaToOne_=0, Bool32 multiViewport_=0, Bool32 samplerAnisotropy_=0, Bool32 textureCompressionETC2_=0, Bool32 textureCompressionASTC_LDR_=0, Bool32 textureCompressionBC_=0, Bool32 occlusionQueryPrecise_=0, Bool32 pipelineStatisticsQuery_=0, Bool32 vertexPipelineStoresAndAtomics_=0, Bool32 fragmentStoresAndAtomics_=0, Bool32 shaderTessellationAndGeometryPointSize_=0, Bool32 shaderImageGatherExtended_=0, Bool32 shaderStorageImageExtendedFormats_=0, Bool32 shaderStorageImageMultisample_=0, Bool32 shaderStorageImageReadWithoutFormat_=0, Bool32 shaderStorageImageWriteWithoutFormat_=0, Bool32 shaderUniformBufferArrayDynamicIndexing_=0, Bool32 shaderSampledImageArrayDynamicIndexing_=0, Bool32 shaderStorageBufferArrayDynamicIndexing_=0, Bool32 shaderStorageImageArrayDynamicIndexing_=0, Bool32 shaderClipDistance_=0, Bool32 shaderCullDistance_=0, Bool32 shaderFloat64_=0, Bool32 shaderInt64_=0, Bool32 shaderInt16_=0, Bool32 shaderResourceResidency_=0, Bool32 shaderResourceMinLod_=0, Bool32 sparseBinding_=0, Bool32 sparseResidencyBuffer_=0, Bool32 sparseResidencyImage2D_=0, Bool32 sparseResidencyImage3D_=0, Bool32 sparseResidency2Samples_=0, Bool32 sparseResidency4Samples_=0, Bool32 sparseResidency8Samples_=0, Bool32 sparseResidency16Samples_=0, Bool32 sparseResidencyAliased_=0, Bool32 variableMultisampleRate_=0, Bool32 inheritedQueries_=0)

| PhysicalDeviceFeatures (VkPhysicalDeviceFeatures const &rhs)
PhysicalDeviceFeatures & | operator= (VkPhysicalDeviceFeatures const &rhs)
PhysicalDeviceFeatures & | setRobustBufferAccess (Bool32 robustBufferAccess_)
PhysicalDeviceFeatures & | setFullDrawIndexUint32 (Bool32 fullDrawIndexUint32_)
PhysicalDeviceFeatures & | setImageCubeArray (Bool32 imageCubeArray_)
PhysicalDeviceFeatures & | setIndependentBlend (Bool32 independentBlend_)
PhysicalDeviceFeatures & | setGeometryShader (Bool32 geometryShader_)
PhysicalDeviceFeatures & | setTessellationShader (Bool32 tessellationShader_)
PhysicalDeviceFeatures & | setSampleRateShading (Bool32 sampleRateShading_)
PhysicalDeviceFeatures & | setDualSrcBlend (Bool32 dualSrcBlend_)
PhysicalDeviceFeatures & | setLogicOp (Bool32 logicOp_)
PhysicalDeviceFeatures & | setMultiDrawIndirect (Bool32 multiDrawIndirect_)
PhysicalDeviceFeatures & | setDrawIndirectFirstInstance (Bool32 drawIndirectFirstInstance_)
PhysicalDeviceFeatures & | setDepthClamp (Bool32 depthClamp_)
PhysicalDeviceFeatures & | setDepthBiasClamp (Bool32 depthBiasClamp_)
PhysicalDeviceFeatures & | setFillModeNonSolid (Bool32 fillModeNonSolid_)
PhysicalDeviceFeatures & | setDepthBounds (Bool32 depthBounds_)
PhysicalDeviceFeatures & | setWideLines (Bool32 wideLines_)
PhysicalDeviceFeatures & | setLargePoints (Bool32 largePoints_)
PhysicalDeviceFeatures & | setAlphaToOne (Bool32 alphaToOne_)
PhysicalDeviceFeatures & | setMultiViewport (Bool32 multiViewport_)
PhysicalDeviceFeatures & | setSamplerAnisotropy (Bool32 samplerAnisotropy_)
PhysicalDeviceFeatures & | setTextureCompressionETC2 (Bool32 textureCompressionETC2_)
PhysicalDeviceFeatures & | setTextureCompressionASTC_LDR (Bool32 textureCompressionASTC_LDR_)
PhysicalDeviceFeatures & | setTextureCompressionBC (Bool32 textureCompressionBC_)
PhysicalDeviceFeatures & | setOcclusionQueryPrecise (Bool32 occlusionQueryPrecise_)
PhysicalDeviceFeatures & | setPipelineStatisticsQuery (Bool32 pipelineStatisticsQuery_)
PhysicalDeviceFeatures & | setVertexPipelineStoresAndAtomics (Bool32 vertexPipelineStoresAndAtomics_)
PhysicalDeviceFeatures & | setFragmentStoresAndAtomics (Bool32 fragmentStoresAndAtomics_)
PhysicalDeviceFeatures & | setShaderTessellationAndGeometryPointSize (Bool32 shaderTessellationAndGeometryPointSize_)
PhysicalDeviceFeatures & | setShaderImageGatherExtended (Bool32 shaderImageGatherExtended_)
PhysicalDeviceFeatures & | setShaderStorageImageExtendedFormats (Bool32 shaderStorageImageExtendedFormats_)
PhysicalDeviceFeatures & | setShaderStorageImageMultisample (Bool32 shaderStorageImageMultisample_)
PhysicalDeviceFeatures & | setShaderStorageImageReadWithoutFormat (Bool32 shaderStorageImageReadWithoutFormat_)
PhysicalDeviceFeatures & | setShaderStorageImageWriteWithoutFormat (Bool32 shaderStorageImageWriteWithoutFormat_)
PhysicalDeviceFeatures & | setShaderUniformBufferArrayDynamicIndexing (Bool32 shaderUniformBufferArrayDynamicIndexing_)
PhysicalDeviceFeatures & | setShaderSampledImageArrayDynamicIndexing (Bool32 shaderSampledImageArrayDynamicIndexing_)
PhysicalDeviceFeatures & | setShaderStorageBufferArrayDynamicIndexing (Bool32 shaderStorageBufferArrayDynamicIndexing_)
PhysicalDeviceFeatures & | setShaderStorageImageArrayDynamicIndexing (Bool32 shaderStorageImageArrayDynamicIndexing_)
PhysicalDeviceFeatures & | setShaderClipDistance (Bool32 shaderClipDistance_)
PhysicalDeviceFeatures & | setShaderCullDistance (Bool32 shaderCullDistance_)
PhysicalDeviceFeatures & | setShaderFloat64 (Bool32 shaderFloat64_)
PhysicalDeviceFeatures & | setShaderInt64 (Bool32 shaderInt64_)
PhysicalDeviceFeatures & | setShaderInt16 (Bool32 shaderInt16_)
PhysicalDeviceFeatures & | setShaderResourceResidency (Bool32 shaderResourceResidency_)
PhysicalDeviceFeatures & | setShaderResourceMinLod (Bool32 shaderResourceMinLod_)
PhysicalDeviceFeatures & | setSparseBinding (Bool32 sparseBinding_)
PhysicalDeviceFeatures & | setSparseResidencyBuffer (Bool32 sparseResidencyBuffer_)
PhysicalDeviceFeatures & | setSparseResidencyImage2D (Bool32 sparseResidencyImage2D_)
PhysicalDeviceFeatures & | setSparseResidencyImage3D (Bool32 sparseResidencyImage3D_)
PhysicalDeviceFeatures & | setSparseResidency2Samples (Bool32 sparseResidency2Samples_)
PhysicalDeviceFeatures & | setSparseResidency4Samples (Bool32 sparseResidency4Samples_)
PhysicalDeviceFeatures & | setSparseResidency8Samples (Bool32 sparseResidency8Samples_)
PhysicalDeviceFeatures & | setSparseResidency16Samples (Bool32 sparseResidency16Samples_)
PhysicalDeviceFeatures & | setSparseResidencyAliased (Bool32 sparseResidencyAliased_)
PhysicalDeviceFeatures & | setVariableMultisampleRate (Bool32 variableMultisampleRate_)
PhysicalDeviceFeatures & | setInheritedQueries (Bool32 inheritedQueries_)
| operator VkPhysicalDeviceFeatures const & () const
| operator VkPhysicalDeviceFeatures & ()
bool | operator== (PhysicalDeviceFeatures const &rhs) const
bool | operator!= (PhysicalDeviceFeatures const &rhs) const

## Data Fields

Bool32 | robustBufferAccess
Bool32 | fullDrawIndexUint32
Bool32 | imageCubeArray
Bool32 | independentBlend
Bool32 | geometryShader
Bool32 | tessellationShader
Bool32 | sampleRateShading
Bool32 | dualSrcBlend
Bool32 | logicOp
Bool32 | multiDrawIndirect
Bool32 | drawIndirectFirstInstance
Bool32 | depthClamp
Bool32 | depthBiasClamp
Bool32 | fillModeNonSolid
Bool32 | depthBounds
Bool32 | wideLines
Bool32 | largePoints
Bool32 | alphaToOne
Bool32 | multiViewport
Bool32 | samplerAnisotropy
Bool32 | textureCompressionETC2
Bool32 | textureCompressionASTC_LDR
Bool32 | textureCompressionBC
Bool32 | occlusionQueryPrecise
Bool32 | pipelineStatisticsQuery
Bool32 | vertexPipelineStoresAndAtomics
Bool32 | fragmentStoresAndAtomics
Bool32 | shaderTessellationAndGeometryPointSize
Bool32 | shaderImageGatherExtended
Bool32 | shaderStorageImageExtendedFormats
Bool32 | shaderStorageImageMultisample
Bool32 | shaderStorageImageReadWithoutFormat
Bool32 | shaderStorageImageWriteWithoutFormat
Bool32 | shaderUniformBufferArrayDynamicIndexing
Bool32 | shaderSampledImageArrayDynamicIndexing
Bool32 | shaderStorageBufferArrayDynamicIndexing
Bool32 | shaderStorageImageArrayDynamicIndexing
Bool32 | shaderClipDistance
Bool32 | shaderCullDistance
Bool32 | shaderFloat64
Bool32 | shaderInt64
Bool32 | shaderInt16
Bool32 | shaderResourceResidency
Bool32 | shaderResourceMinLod
Bool32 | sparseBinding
Bool32 | sparseResidencyBuffer
Bool32 | sparseResidencyImage2D
Bool32 | sparseResidencyImage3D
Bool32 | sparseResidency2Samples
Bool32 | sparseResidency4Samples
Bool32 | sparseResidency8Samples
Bool32 | sparseResidency16Samples
Bool32 | sparseResidencyAliased
Bool32 | variableMultisampleRate
Bool32 | inheritedQueries

## Detailed Description

Definition at line 6224 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceFeatures() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::PhysicalDeviceFeatures | ( | Bool32 | robustBufferAccess_ = `0`,
|  | Bool32 | fullDrawIndexUint32_ = `0`,
|  | Bool32 | imageCubeArray_ = `0`,
|  | Bool32 | independentBlend_ = `0`,
|  | Bool32 | geometryShader_ = `0`,
|  | Bool32 | tessellationShader_ = `0`,
|  | Bool32 | sampleRateShading_ = `0`,
|  | Bool32 | dualSrcBlend_ = `0`,
|  | Bool32 | logicOp_ = `0`,
|  | Bool32 | multiDrawIndirect_ = `0`,
|  | Bool32 | drawIndirectFirstInstance_ = `0`,
|  | Bool32 | depthClamp_ = `0`,
|  | Bool32 | depthBiasClamp_ = `0`,
|  | Bool32 | fillModeNonSolid_ = `0`,
|  | Bool32 | depthBounds_ = `0`,
|  | Bool32 | wideLines_ = `0`,
|  | Bool32 | largePoints_ = `0`,
|  | Bool32 | alphaToOne_ = `0`,
|  | Bool32 | multiViewport_ = `0`,
|  | Bool32 | samplerAnisotropy_ = `0`,
|  | Bool32 | textureCompressionETC2_ = `0`,
|  | Bool32 | textureCompressionASTC_LDR_ = `0`,
|  | Bool32 | textureCompressionBC_ = `0`,
|  | Bool32 | occlusionQueryPrecise_ = `0`,
|  | Bool32 | pipelineStatisticsQuery_ = `0`,
|  | Bool32 | vertexPipelineStoresAndAtomics_ = `0`,
|  | Bool32 | fragmentStoresAndAtomics_ = `0`,
|  | Bool32 | shaderTessellationAndGeometryPointSize_ = `0`,
|  | Bool32 | shaderImageGatherExtended_ = `0`,
|  | Bool32 | shaderStorageImageExtendedFormats_ = `0`,
|  | Bool32 | shaderStorageImageMultisample_ = `0`,
|  | Bool32 | shaderStorageImageReadWithoutFormat_ = `0`,
|  | Bool32 | shaderStorageImageWriteWithoutFormat_ = `0`,
|  | Bool32 | shaderUniformBufferArrayDynamicIndexing_ = `0`,
|  | Bool32 | shaderSampledImageArrayDynamicIndexing_ = `0`,
|  | Bool32 | shaderStorageBufferArrayDynamicIndexing_ = `0`,
|  | Bool32 | shaderStorageImageArrayDynamicIndexing_ = `0`,
|  | Bool32 | shaderClipDistance_ = `0`,
|  | Bool32 | shaderCullDistance_ = `0`,
|  | Bool32 | shaderFloat64_ = `0`,
|  | Bool32 | shaderInt64_ = `0`,
|  | Bool32 | shaderInt16_ = `0`,
|  | Bool32 | shaderResourceResidency_ = `0`,
|  | Bool32 | shaderResourceMinLod_ = `0`,
|  | Bool32 | sparseBinding_ = `0`,
|  | Bool32 | sparseResidencyBuffer_ = `0`,
|  | Bool32 | sparseResidencyImage2D_ = `0`,
|  | Bool32 | sparseResidencyImage3D_ = `0`,
|  | Bool32 | sparseResidency2Samples_ = `0`,
|  | Bool32 | sparseResidency4Samples_ = `0`,
|  | Bool32 | sparseResidency8Samples_ = `0`,
|  | Bool32 | sparseResidency16Samples_ = `0`,
|  | Bool32 | sparseResidencyAliased_ = `0`,
|  | Bool32 | variableMultisampleRate_ = `0`,
|  | Bool32 | inheritedQueries_ = `0`
| ) |  |

inline

Definition at line 6226 of file vulkan.hpp.

: robustBufferAccess( robustBufferAccess_ )
, fullDrawIndexUint32( fullDrawIndexUint32_ )
, imageCubeArray( imageCubeArray_ )
, independentBlend( independentBlend_ )
, geometryShader( geometryShader_ )
, tessellationShader( tessellationShader_ )
, sampleRateShading( sampleRateShading_ )
, dualSrcBlend( dualSrcBlend_ )
, logicOp( logicOp_ )
, multiDrawIndirect( multiDrawIndirect_ )
, drawIndirectFirstInstance( drawIndirectFirstInstance_ )
, depthClamp( depthClamp_ )
, depthBiasClamp( depthBiasClamp_ )
, fillModeNonSolid( fillModeNonSolid_ )
, depthBounds( depthBounds_ )
, wideLines( wideLines_ )
, largePoints( largePoints_ )
, alphaToOne( alphaToOne_ )
, multiViewport( multiViewport_ )
, samplerAnisotropy( samplerAnisotropy_ )
, textureCompressionETC2( textureCompressionETC2_ )
, textureCompressionASTC_LDR( textureCompressionASTC_LDR_ )
, textureCompressionBC( textureCompressionBC_ )
, occlusionQueryPrecise( occlusionQueryPrecise_ )
, pipelineStatisticsQuery( pipelineStatisticsQuery_ )
, vertexPipelineStoresAndAtomics( vertexPipelineStoresAndAtomics_ )
, fragmentStoresAndAtomics( fragmentStoresAndAtomics_ )
, shaderTessellationAndGeometryPointSize( shaderTessellationAndGeometryPointSize_ )
, shaderImageGatherExtended( shaderImageGatherExtended_ )
, shaderStorageImageExtendedFormats( shaderStorageImageExtendedFormats_ )
, shaderStorageImageMultisample( shaderStorageImageMultisample_ )
, shaderStorageImageReadWithoutFormat( shaderStorageImageReadWithoutFormat_ )
, shaderStorageImageWriteWithoutFormat( shaderStorageImageWriteWithoutFormat_ )
, shaderUniformBufferArrayDynamicIndexing( shaderUniformBufferArrayDynamicIndexing_ )
, shaderSampledImageArrayDynamicIndexing( shaderSampledImageArrayDynamicIndexing_ )
, shaderStorageBufferArrayDynamicIndexing( shaderStorageBufferArrayDynamicIndexing_ )
, shaderStorageImageArrayDynamicIndexing( shaderStorageImageArrayDynamicIndexing_ )
, shaderClipDistance( shaderClipDistance_ )
, shaderCullDistance( shaderCullDistance_ )
, shaderFloat64( shaderFloat64_ )
, shaderInt64( shaderInt64_ )
, shaderInt16( shaderInt16_ )
, shaderResourceResidency( shaderResourceResidency_ )
, shaderResourceMinLod( shaderResourceMinLod_ )
, sparseBinding( sparseBinding_ )
, sparseResidencyBuffer( sparseResidencyBuffer_ )
, sparseResidencyImage2D( sparseResidencyImage2D_ )
, sparseResidencyImage3D( sparseResidencyImage3D_ )
, sparseResidency2Samples( sparseResidency2Samples_ )
, sparseResidency4Samples( sparseResidency4Samples_ )
, sparseResidency8Samples( sparseResidency8Samples_ )
, sparseResidency16Samples( sparseResidency16Samples_ )
, sparseResidencyAliased( sparseResidencyAliased_ )
, variableMultisampleRate( variableMultisampleRate_ )
, inheritedQueries( inheritedQueries_ )
{
}

## PhysicalDeviceFeatures() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::PhysicalDeviceFeatures | ( | VkPhysicalDeviceFeatures const & | rhs | ) |

inline

Definition at line 6339 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceFeatures ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceFeatures &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::operator VkPhysicalDeviceFeatures & | ( |  | ) |

inline

Definition at line 6684 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceFeatures*>(this);
}

## operator VkPhysicalDeviceFeatures const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::operator VkPhysicalDeviceFeatures const & | ( |  | ) | const

inline

Definition at line 6679 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceFeatures*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::operator!= | ( | PhysicalDeviceFeatures const & | rhs | ) | const

inline

Definition at line 6748 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::operator= | ( | VkPhysicalDeviceFeatures const & | rhs | ) |

inline

Definition at line 6344 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceFeatures ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::operator== | ( | PhysicalDeviceFeatures const & | rhs | ) | const

inline

Definition at line 6689 of file vulkan.hpp.

{
return ( robustBufferAccess == rhs.robustBufferAccess )
&& ( fullDrawIndexUint32 == rhs.fullDrawIndexUint32 )
&& ( imageCubeArray == rhs.imageCubeArray )
&& ( independentBlend == rhs.independentBlend )
&& ( geometryShader == rhs.geometryShader )
&& ( tessellationShader == rhs.tessellationShader )
&& ( sampleRateShading == rhs.sampleRateShading )
&& ( dualSrcBlend == rhs.dualSrcBlend )
&& ( logicOp == rhs.logicOp )
&& ( multiDrawIndirect == rhs.multiDrawIndirect )
&& ( drawIndirectFirstInstance == rhs.drawIndirectFirstInstance )
&& ( depthClamp == rhs.depthClamp )
&& ( depthBiasClamp == rhs.depthBiasClamp )
&& ( fillModeNonSolid == rhs.fillModeNonSolid )
&& ( depthBounds == rhs.depthBounds )
&& ( wideLines == rhs.wideLines )
&& ( largePoints == rhs.largePoints )
&& ( alphaToOne == rhs.alphaToOne )
&& ( multiViewport == rhs.multiViewport )
&& ( samplerAnisotropy == rhs.samplerAnisotropy )
&& ( textureCompressionETC2 == rhs.textureCompressionETC2 )
&& ( textureCompressionASTC_LDR == rhs.textureCompressionASTC_LDR )
&& ( textureCompressionBC == rhs.textureCompressionBC )
&& ( occlusionQueryPrecise == rhs.occlusionQueryPrecise )
&& ( pipelineStatisticsQuery == rhs.pipelineStatisticsQuery )
&& ( vertexPipelineStoresAndAtomics == rhs.vertexPipelineStoresAndAtomics )
&& ( fragmentStoresAndAtomics == rhs.fragmentStoresAndAtomics )
&& ( shaderTessellationAndGeometryPointSize == rhs.shaderTessellationAndGeometryPointSize )
&& ( shaderImageGatherExtended == rhs.shaderImageGatherExtended )
&& ( shaderStorageImageExtendedFormats == rhs.shaderStorageImageExtendedFormats )
&& ( shaderStorageImageMultisample == rhs.shaderStorageImageMultisample )
&& ( shaderStorageImageReadWithoutFormat == rhs.shaderStorageImageReadWithoutFormat )
&& ( shaderStorageImageWriteWithoutFormat == rhs.shaderStorageImageWriteWithoutFormat )
&& ( shaderUniformBufferArrayDynamicIndexing == rhs.shaderUniformBufferArrayDynamicIndexing )
&& ( shaderSampledImageArrayDynamicIndexing == rhs.shaderSampledImageArrayDynamicIndexing )
&& ( shaderStorageBufferArrayDynamicIndexing == rhs.shaderStorageBufferArrayDynamicIndexing )
&& ( shaderStorageImageArrayDynamicIndexing == rhs.shaderStorageImageArrayDynamicIndexing )
&& ( shaderClipDistance == rhs.shaderClipDistance )
&& ( shaderCullDistance == rhs.shaderCullDistance )
&& ( shaderFloat64 == rhs.shaderFloat64 )
&& ( shaderInt64 == rhs.shaderInt64 )
&& ( shaderInt16 == rhs.shaderInt16 )
&& ( shaderResourceResidency == rhs.shaderResourceResidency )
&& ( shaderResourceMinLod == rhs.shaderResourceMinLod )
&& ( sparseBinding == rhs.sparseBinding )
&& ( sparseResidencyBuffer == rhs.sparseResidencyBuffer )
&& ( sparseResidencyImage2D == rhs.sparseResidencyImage2D )
&& ( sparseResidencyImage3D == rhs.sparseResidencyImage3D )
&& ( sparseResidency2Samples == rhs.sparseResidency2Samples )
&& ( sparseResidency4Samples == rhs.sparseResidency4Samples )
&& ( sparseResidency8Samples == rhs.sparseResidency8Samples )
&& ( sparseResidency16Samples == rhs.sparseResidency16Samples )
&& ( sparseResidencyAliased == rhs.sparseResidencyAliased )
&& ( variableMultisampleRate == rhs.variableMultisampleRate )
&& ( inheritedQueries == rhs.inheritedQueries );
}

References alphaToOne, depthBiasClamp, depthBounds, depthClamp, drawIndirectFirstInstance, dualSrcBlend, fillModeNonSolid, fragmentStoresAndAtomics, fullDrawIndexUint32, geometryShader, imageCubeArray, independentBlend, inheritedQueries, largePoints, logicOp, multiDrawIndirect, multiViewport, occlusionQueryPrecise, pipelineStatisticsQuery, robustBufferAccess, samplerAnisotropy, sampleRateShading, shaderClipDistance, shaderCullDistance, shaderFloat64, shaderImageGatherExtended, shaderInt16, shaderInt64, shaderResourceMinLod, shaderResourceResidency, shaderSampledImageArrayDynamicIndexing, shaderStorageBufferArrayDynamicIndexing, shaderStorageImageArrayDynamicIndexing, shaderStorageImageExtendedFormats, shaderStorageImageMultisample, shaderStorageImageReadWithoutFormat, shaderStorageImageWriteWithoutFormat, shaderTessellationAndGeometryPointSize, shaderUniformBufferArrayDynamicIndexing, sparseBinding, sparseResidency16Samples, sparseResidency2Samples, sparseResidency4Samples, sparseResidency8Samples, sparseResidencyAliased, sparseResidencyBuffer, sparseResidencyImage2D, sparseResidencyImage3D, tessellationShader, textureCompressionASTC_LDR, textureCompressionBC, textureCompressionETC2, variableMultisampleRate, vertexPipelineStoresAndAtomics, and wideLines.

Referenced by operator!=().

## setAlphaToOne()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setAlphaToOne | ( | Bool32 | alphaToOne_ | ) |

inline

Definition at line 6451 of file vulkan.hpp.

{
alphaToOne = alphaToOne_;
return *this;
}

References alphaToOne.

## setDepthBiasClamp()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setDepthBiasClamp | ( | Bool32 | depthBiasClamp_ | ) |

inline

Definition at line 6421 of file vulkan.hpp.

{
depthBiasClamp = depthBiasClamp_;
return *this;
}

References depthBiasClamp.

## setDepthBounds()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setDepthBounds | ( | Bool32 | depthBounds_ | ) |

inline

Definition at line 6433 of file vulkan.hpp.

{
depthBounds = depthBounds_;
return *this;
}

References depthBounds.

## setDepthClamp()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setDepthClamp | ( | Bool32 | depthClamp_ | ) |

inline

Definition at line 6415 of file vulkan.hpp.

{
depthClamp = depthClamp_;
return *this;
}

References depthClamp.

## setDrawIndirectFirstInstance()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setDrawIndirectFirstInstance | ( | Bool32 | drawIndirectFirstInstance_ | ) |

inline

Definition at line 6409 of file vulkan.hpp.

{
drawIndirectFirstInstance = drawIndirectFirstInstance_;
return *this;
}

References drawIndirectFirstInstance.

## setDualSrcBlend()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setDualSrcBlend | ( | Bool32 | dualSrcBlend_ | ) |

inline

Definition at line 6391 of file vulkan.hpp.

{
dualSrcBlend = dualSrcBlend_;
return *this;
}

References dualSrcBlend.

## setFillModeNonSolid()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setFillModeNonSolid | ( | Bool32 | fillModeNonSolid_ | ) |

inline

Definition at line 6427 of file vulkan.hpp.

{
fillModeNonSolid = fillModeNonSolid_;
return *this;
}

References fillModeNonSolid.

## setFragmentStoresAndAtomics()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setFragmentStoresAndAtomics | ( | Bool32 | fragmentStoresAndAtomics_ | ) |

inline

Definition at line 6505 of file vulkan.hpp.

{
fragmentStoresAndAtomics = fragmentStoresAndAtomics_;
return *this;
}

References fragmentStoresAndAtomics.

## setFullDrawIndexUint32()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setFullDrawIndexUint32 | ( | Bool32 | fullDrawIndexUint32_ | ) |

inline

Definition at line 6355 of file vulkan.hpp.

{
fullDrawIndexUint32 = fullDrawIndexUint32_;
return *this;
}

References fullDrawIndexUint32.

## setGeometryShader()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setGeometryShader | ( | Bool32 | geometryShader_ | ) |

inline

Definition at line 6373 of file vulkan.hpp.

{
geometryShader = geometryShader_;
return *this;
}

References geometryShader.

## setImageCubeArray()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setImageCubeArray | ( | Bool32 | imageCubeArray_ | ) |

inline

Definition at line 6361 of file vulkan.hpp.

{
imageCubeArray = imageCubeArray_;
return *this;
}

References imageCubeArray.

## setIndependentBlend()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setIndependentBlend | ( | Bool32 | independentBlend_ | ) |

inline

Definition at line 6367 of file vulkan.hpp.

{
independentBlend = independentBlend_;
return *this;
}

References independentBlend.

## setInheritedQueries()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setInheritedQueries | ( | Bool32 | inheritedQueries_ | ) |

inline

Definition at line 6673 of file vulkan.hpp.

{
inheritedQueries = inheritedQueries_;
return *this;
}

References inheritedQueries.

## setLargePoints()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setLargePoints | ( | Bool32 | largePoints_ | ) |

inline

Definition at line 6445 of file vulkan.hpp.

{
largePoints = largePoints_;
return *this;
}

References largePoints.

## setLogicOp()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setLogicOp | ( | Bool32 | logicOp_ | ) |

inline

Definition at line 6397 of file vulkan.hpp.

{
logicOp = logicOp_;
return *this;
}

References logicOp.

## setMultiDrawIndirect()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setMultiDrawIndirect | ( | Bool32 | multiDrawIndirect_ | ) |

inline

Definition at line 6403 of file vulkan.hpp.

{
multiDrawIndirect = multiDrawIndirect_;
return *this;
}

References multiDrawIndirect.

## setMultiViewport()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setMultiViewport | ( | Bool32 | multiViewport_ | ) |

inline

Definition at line 6457 of file vulkan.hpp.

{
multiViewport = multiViewport_;
return *this;
}

References multiViewport.

## setOcclusionQueryPrecise()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setOcclusionQueryPrecise | ( | Bool32 | occlusionQueryPrecise_ | ) |

inline

Definition at line 6487 of file vulkan.hpp.

{
occlusionQueryPrecise = occlusionQueryPrecise_;
return *this;
}

References occlusionQueryPrecise.

## setPipelineStatisticsQuery()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setPipelineStatisticsQuery | ( | Bool32 | pipelineStatisticsQuery_ | ) |

inline

Definition at line 6493 of file vulkan.hpp.

{
pipelineStatisticsQuery = pipelineStatisticsQuery_;
return *this;
}

References pipelineStatisticsQuery.

## setRobustBufferAccess()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setRobustBufferAccess | ( | Bool32 | robustBufferAccess_ | ) |

inline

Definition at line 6349 of file vulkan.hpp.

{
robustBufferAccess = robustBufferAccess_;
return *this;
}

References robustBufferAccess.

## setSamplerAnisotropy()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSamplerAnisotropy | ( | Bool32 | samplerAnisotropy_ | ) |

inline

Definition at line 6463 of file vulkan.hpp.

{
samplerAnisotropy = samplerAnisotropy_;
return *this;
}

References samplerAnisotropy.

## setSampleRateShading()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSampleRateShading | ( | Bool32 | sampleRateShading_ | ) |

inline

Definition at line 6385 of file vulkan.hpp.

{
sampleRateShading = sampleRateShading_;
return *this;
}

References sampleRateShading.

## setShaderClipDistance()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderClipDistance | ( | Bool32 | shaderClipDistance_ | ) |

inline

Definition at line 6571 of file vulkan.hpp.

{
shaderClipDistance = shaderClipDistance_;
return *this;
}

References shaderClipDistance.

## setShaderCullDistance()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderCullDistance | ( | Bool32 | shaderCullDistance_ | ) |

inline

Definition at line 6577 of file vulkan.hpp.

{
shaderCullDistance = shaderCullDistance_;
return *this;
}

References shaderCullDistance.

## setShaderFloat64()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderFloat64 | ( | Bool32 | shaderFloat64_ | ) |

inline

Definition at line 6583 of file vulkan.hpp.

{
shaderFloat64 = shaderFloat64_;
return *this;
}

References shaderFloat64.

## setShaderImageGatherExtended()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderImageGatherExtended | ( | Bool32 | shaderImageGatherExtended_ | ) |

inline

Definition at line 6517 of file vulkan.hpp.

{
shaderImageGatherExtended = shaderImageGatherExtended_;
return *this;
}

References shaderImageGatherExtended.

## setShaderInt16()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderInt16 | ( | Bool32 | shaderInt16_ | ) |

inline

Definition at line 6595 of file vulkan.hpp.

{
shaderInt16 = shaderInt16_;
return *this;
}

References shaderInt16.

## setShaderInt64()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderInt64 | ( | Bool32 | shaderInt64_ | ) |

inline

Definition at line 6589 of file vulkan.hpp.

{
shaderInt64 = shaderInt64_;
return *this;
}

References shaderInt64.

## setShaderResourceMinLod()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderResourceMinLod | ( | Bool32 | shaderResourceMinLod_ | ) |

inline

Definition at line 6607 of file vulkan.hpp.

{
shaderResourceMinLod = shaderResourceMinLod_;
return *this;
}

References shaderResourceMinLod.

## setShaderResourceResidency()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderResourceResidency | ( | Bool32 | shaderResourceResidency_ | ) |

inline

Definition at line 6601 of file vulkan.hpp.

{
shaderResourceResidency = shaderResourceResidency_;
return *this;
}

References shaderResourceResidency.

## setShaderSampledImageArrayDynamicIndexing()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderSampledImageArrayDynamicIndexing | ( | Bool32 | shaderSampledImageArrayDynamicIndexing_ | ) |

inline

Definition at line 6553 of file vulkan.hpp.

{
shaderSampledImageArrayDynamicIndexing = shaderSampledImageArrayDynamicIndexing_;
return *this;
}

References shaderSampledImageArrayDynamicIndexing.

## setShaderStorageBufferArrayDynamicIndexing()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderStorageBufferArrayDynamicIndexing | ( | Bool32 | shaderStorageBufferArrayDynamicIndexing_ | ) |

inline

Definition at line 6559 of file vulkan.hpp.

{
shaderStorageBufferArrayDynamicIndexing = shaderStorageBufferArrayDynamicIndexing_;
return *this;
}

References shaderStorageBufferArrayDynamicIndexing.

## setShaderStorageImageArrayDynamicIndexing()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderStorageImageArrayDynamicIndexing | ( | Bool32 | shaderStorageImageArrayDynamicIndexing_ | ) |

inline

Definition at line 6565 of file vulkan.hpp.

{
shaderStorageImageArrayDynamicIndexing = shaderStorageImageArrayDynamicIndexing_;
return *this;
}

References shaderStorageImageArrayDynamicIndexing.

## setShaderStorageImageExtendedFormats()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderStorageImageExtendedFormats | ( | Bool32 | shaderStorageImageExtendedFormats_ | ) |

inline

Definition at line 6523 of file vulkan.hpp.

{
shaderStorageImageExtendedFormats = shaderStorageImageExtendedFormats_;
return *this;
}

References shaderStorageImageExtendedFormats.

## setShaderStorageImageMultisample()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderStorageImageMultisample | ( | Bool32 | shaderStorageImageMultisample_ | ) |

inline

Definition at line 6529 of file vulkan.hpp.

{
shaderStorageImageMultisample = shaderStorageImageMultisample_;
return *this;
}

References shaderStorageImageMultisample.

## setShaderStorageImageReadWithoutFormat()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderStorageImageReadWithoutFormat | ( | Bool32 | shaderStorageImageReadWithoutFormat_ | ) |

inline

Definition at line 6535 of file vulkan.hpp.

{
shaderStorageImageReadWithoutFormat = shaderStorageImageReadWithoutFormat_;
return *this;
}

References shaderStorageImageReadWithoutFormat.

## setShaderStorageImageWriteWithoutFormat()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderStorageImageWriteWithoutFormat | ( | Bool32 | shaderStorageImageWriteWithoutFormat_ | ) |

inline

Definition at line 6541 of file vulkan.hpp.

{
shaderStorageImageWriteWithoutFormat = shaderStorageImageWriteWithoutFormat_;
return *this;
}

References shaderStorageImageWriteWithoutFormat.

## setShaderTessellationAndGeometryPointSize()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderTessellationAndGeometryPointSize | ( | Bool32 | shaderTessellationAndGeometryPointSize_ | ) |

inline

Definition at line 6511 of file vulkan.hpp.

{
shaderTessellationAndGeometryPointSize = shaderTessellationAndGeometryPointSize_;
return *this;
}

References shaderTessellationAndGeometryPointSize.

## setShaderUniformBufferArrayDynamicIndexing()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setShaderUniformBufferArrayDynamicIndexing | ( | Bool32 | shaderUniformBufferArrayDynamicIndexing_ | ) |

inline

Definition at line 6547 of file vulkan.hpp.

{
shaderUniformBufferArrayDynamicIndexing = shaderUniformBufferArrayDynamicIndexing_;
return *this;
}

References shaderUniformBufferArrayDynamicIndexing.

## setSparseBinding()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseBinding | ( | Bool32 | sparseBinding_ | ) |

inline

Definition at line 6613 of file vulkan.hpp.

{
sparseBinding = sparseBinding_;
return *this;
}

References sparseBinding.

## setSparseResidency16Samples()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseResidency16Samples | ( | Bool32 | sparseResidency16Samples_ | ) |

inline

Definition at line 6655 of file vulkan.hpp.

{
sparseResidency16Samples = sparseResidency16Samples_;
return *this;
}

References sparseResidency16Samples.

## setSparseResidency2Samples()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseResidency2Samples | ( | Bool32 | sparseResidency2Samples_ | ) |

inline

Definition at line 6637 of file vulkan.hpp.

{
sparseResidency2Samples = sparseResidency2Samples_;
return *this;
}

References sparseResidency2Samples.

## setSparseResidency4Samples()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseResidency4Samples | ( | Bool32 | sparseResidency4Samples_ | ) |

inline

Definition at line 6643 of file vulkan.hpp.

{
sparseResidency4Samples = sparseResidency4Samples_;
return *this;
}

References sparseResidency4Samples.

## setSparseResidency8Samples()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseResidency8Samples | ( | Bool32 | sparseResidency8Samples_ | ) |

inline

Definition at line 6649 of file vulkan.hpp.

{
sparseResidency8Samples = sparseResidency8Samples_;
return *this;
}

References sparseResidency8Samples.

## setSparseResidencyAliased()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseResidencyAliased | ( | Bool32 | sparseResidencyAliased_ | ) |

inline

Definition at line 6661 of file vulkan.hpp.

{
sparseResidencyAliased = sparseResidencyAliased_;
return *this;
}

References sparseResidencyAliased.

## setSparseResidencyBuffer()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseResidencyBuffer | ( | Bool32 | sparseResidencyBuffer_ | ) |

inline

Definition at line 6619 of file vulkan.hpp.

{
sparseResidencyBuffer = sparseResidencyBuffer_;
return *this;
}

References sparseResidencyBuffer.

## setSparseResidencyImage2D()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseResidencyImage2D | ( | Bool32 | sparseResidencyImage2D_ | ) |

inline

Definition at line 6625 of file vulkan.hpp.

{
sparseResidencyImage2D = sparseResidencyImage2D_;
return *this;
}

References sparseResidencyImage2D.

## setSparseResidencyImage3D()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setSparseResidencyImage3D | ( | Bool32 | sparseResidencyImage3D_ | ) |

inline

Definition at line 6631 of file vulkan.hpp.

{
sparseResidencyImage3D = sparseResidencyImage3D_;
return *this;
}

References sparseResidencyImage3D.

## setTessellationShader()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setTessellationShader | ( | Bool32 | tessellationShader_ | ) |

inline

Definition at line 6379 of file vulkan.hpp.

{
tessellationShader = tessellationShader_;
return *this;
}

References tessellationShader.

## setTextureCompressionASTC_LDR()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setTextureCompressionASTC_LDR | ( | Bool32 | textureCompressionASTC_LDR_ | ) |

inline

Definition at line 6475 of file vulkan.hpp.

{
textureCompressionASTC_LDR = textureCompressionASTC_LDR_;
return *this;
}

References textureCompressionASTC_LDR.

## setTextureCompressionBC()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setTextureCompressionBC | ( | Bool32 | textureCompressionBC_ | ) |

inline

Definition at line 6481 of file vulkan.hpp.

{
textureCompressionBC = textureCompressionBC_;
return *this;
}

References textureCompressionBC.

## setTextureCompressionETC2()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setTextureCompressionETC2 | ( | Bool32 | textureCompressionETC2_ | ) |

inline

Definition at line 6469 of file vulkan.hpp.

{
textureCompressionETC2 = textureCompressionETC2_;
return *this;
}

References textureCompressionETC2.

## setVariableMultisampleRate()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setVariableMultisampleRate | ( | Bool32 | variableMultisampleRate_ | ) |

inline

Definition at line 6667 of file vulkan.hpp.

{
variableMultisampleRate = variableMultisampleRate_;
return *this;
}

References variableMultisampleRate.

## setVertexPipelineStoresAndAtomics()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setVertexPipelineStoresAndAtomics | ( | Bool32 | vertexPipelineStoresAndAtomics_ | ) |

inline

Definition at line 6499 of file vulkan.hpp.

{
vertexPipelineStoresAndAtomics = vertexPipelineStoresAndAtomics_;
return *this;
}

References vertexPipelineStoresAndAtomics.

## setWideLines()

PhysicalDeviceFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::setWideLines | ( | Bool32 | wideLines_ | ) |

inline

Definition at line 6439 of file vulkan.hpp.

{
wideLines = wideLines_;
return *this;
}

References wideLines.

## Field Documentation

## alphaToOne

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::alphaToOne

Definition at line 6770 of file vulkan.hpp.

Referenced by operator==(), and setAlphaToOne().

## depthBiasClamp

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::depthBiasClamp

Definition at line 6765 of file vulkan.hpp.

Referenced by operator==(), and setDepthBiasClamp().

## depthBounds

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::depthBounds

Definition at line 6767 of file vulkan.hpp.

Referenced by operator==(), and setDepthBounds().

## depthClamp

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::depthClamp

Definition at line 6764 of file vulkan.hpp.

Referenced by operator==(), and setDepthClamp().

## drawIndirectFirstInstance

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::drawIndirectFirstInstance

Definition at line 6763 of file vulkan.hpp.

Referenced by operator==(), and setDrawIndirectFirstInstance().

## dualSrcBlend

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::dualSrcBlend

Definition at line 6760 of file vulkan.hpp.

Referenced by operator==(), and setDualSrcBlend().

## fillModeNonSolid

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::fillModeNonSolid

Definition at line 6766 of file vulkan.hpp.

Referenced by operator==(), and setFillModeNonSolid().

## fragmentStoresAndAtomics

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::fragmentStoresAndAtomics

Definition at line 6779 of file vulkan.hpp.

Referenced by operator==(), and setFragmentStoresAndAtomics().

## fullDrawIndexUint32

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::fullDrawIndexUint32

Definition at line 6754 of file vulkan.hpp.

Referenced by operator==(), and setFullDrawIndexUint32().

## geometryShader

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::geometryShader

Definition at line 6757 of file vulkan.hpp.

Referenced by operator==(), and setGeometryShader().

## imageCubeArray

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::imageCubeArray

Definition at line 6755 of file vulkan.hpp.

Referenced by operator==(), and setImageCubeArray().

## independentBlend

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::independentBlend

Definition at line 6756 of file vulkan.hpp.

Referenced by operator==(), and setIndependentBlend().

## inheritedQueries

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::inheritedQueries

Definition at line 6807 of file vulkan.hpp.

Referenced by operator==(), and setInheritedQueries().

## largePoints

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::largePoints

Definition at line 6769 of file vulkan.hpp.

Referenced by operator==(), and setLargePoints().

## logicOp

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::logicOp

Definition at line 6761 of file vulkan.hpp.

Referenced by operator==(), and setLogicOp().

## multiDrawIndirect

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::multiDrawIndirect

Definition at line 6762 of file vulkan.hpp.

Referenced by operator==(), and setMultiDrawIndirect().

## multiViewport

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::multiViewport

Definition at line 6771 of file vulkan.hpp.

Referenced by operator==(), and setMultiViewport().

## occlusionQueryPrecise

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::occlusionQueryPrecise

Definition at line 6776 of file vulkan.hpp.

Referenced by operator==(), and setOcclusionQueryPrecise().

## pipelineStatisticsQuery

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::pipelineStatisticsQuery

Definition at line 6777 of file vulkan.hpp.

Referenced by operator==(), and setPipelineStatisticsQuery().

## robustBufferAccess

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::robustBufferAccess

Definition at line 6753 of file vulkan.hpp.

Referenced by operator==(), and setRobustBufferAccess().

## samplerAnisotropy

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::samplerAnisotropy

Definition at line 6772 of file vulkan.hpp.

Referenced by operator==(), and setSamplerAnisotropy().

## sampleRateShading

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sampleRateShading

Definition at line 6759 of file vulkan.hpp.

Referenced by operator==(), and setSampleRateShading().

## shaderClipDistance

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderClipDistance

Definition at line 6790 of file vulkan.hpp.

Referenced by operator==(), and setShaderClipDistance().

## shaderCullDistance

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderCullDistance

Definition at line 6791 of file vulkan.hpp.

Referenced by operator==(), and setShaderCullDistance().

## shaderFloat64

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderFloat64

Definition at line 6792 of file vulkan.hpp.

Referenced by operator==(), and setShaderFloat64().

## shaderImageGatherExtended

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderImageGatherExtended

Definition at line 6781 of file vulkan.hpp.

Referenced by operator==(), and setShaderImageGatherExtended().

## shaderInt16

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderInt16

Definition at line 6794 of file vulkan.hpp.

Referenced by operator==(), and setShaderInt16().

## shaderInt64

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderInt64

Definition at line 6793 of file vulkan.hpp.

Referenced by operator==(), and setShaderInt64().

## shaderResourceMinLod

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderResourceMinLod

Definition at line 6796 of file vulkan.hpp.

Referenced by operator==(), and setShaderResourceMinLod().

## shaderResourceResidency

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderResourceResidency

Definition at line 6795 of file vulkan.hpp.

Referenced by operator==(), and setShaderResourceResidency().

## shaderSampledImageArrayDynamicIndexing

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderSampledImageArrayDynamicIndexing

Definition at line 6787 of file vulkan.hpp.

Referenced by operator==(), and setShaderSampledImageArrayDynamicIndexing().

## shaderStorageBufferArrayDynamicIndexing

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageBufferArrayDynamicIndexing

Definition at line 6788 of file vulkan.hpp.

Referenced by operator==(), and setShaderStorageBufferArrayDynamicIndexing().

## shaderStorageImageArrayDynamicIndexing

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageArrayDynamicIndexing

Definition at line 6789 of file vulkan.hpp.

Referenced by operator==(), and setShaderStorageImageArrayDynamicIndexing().

## shaderStorageImageExtendedFormats

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageExtendedFormats

Definition at line 6782 of file vulkan.hpp.

Referenced by operator==(), and setShaderStorageImageExtendedFormats().

## shaderStorageImageMultisample

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageMultisample

Definition at line 6783 of file vulkan.hpp.

Referenced by operator==(), and setShaderStorageImageMultisample().

## shaderStorageImageReadWithoutFormat

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageReadWithoutFormat

Definition at line 6784 of file vulkan.hpp.

Referenced by operator==(), and setShaderStorageImageReadWithoutFormat().

## shaderStorageImageWriteWithoutFormat

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageWriteWithoutFormat

Definition at line 6785 of file vulkan.hpp.

Referenced by operator==(), and setShaderStorageImageWriteWithoutFormat().

## shaderTessellationAndGeometryPointSize

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderTessellationAndGeometryPointSize

Definition at line 6780 of file vulkan.hpp.

Referenced by operator==(), and setShaderTessellationAndGeometryPointSize().

## shaderUniformBufferArrayDynamicIndexing

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderUniformBufferArrayDynamicIndexing

Definition at line 6786 of file vulkan.hpp.

Referenced by operator==(), and setShaderUniformBufferArrayDynamicIndexing().

## sparseBinding

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseBinding

Definition at line 6797 of file vulkan.hpp.

Referenced by operator==(), and setSparseBinding().

## sparseResidency16Samples

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidency16Samples

Definition at line 6804 of file vulkan.hpp.

Referenced by operator==(), and setSparseResidency16Samples().

## sparseResidency2Samples

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidency2Samples

Definition at line 6801 of file vulkan.hpp.

Referenced by operator==(), and setSparseResidency2Samples().

## sparseResidency4Samples

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidency4Samples

Definition at line 6802 of file vulkan.hpp.

Referenced by operator==(), and setSparseResidency4Samples().

## sparseResidency8Samples

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidency8Samples

Definition at line 6803 of file vulkan.hpp.

Referenced by operator==(), and setSparseResidency8Samples().

## sparseResidencyAliased

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidencyAliased

Definition at line 6805 of file vulkan.hpp.

Referenced by operator==(), and setSparseResidencyAliased().

## sparseResidencyBuffer

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidencyBuffer

Definition at line 6798 of file vulkan.hpp.

Referenced by operator==(), and setSparseResidencyBuffer().

## sparseResidencyImage2D

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidencyImage2D

Definition at line 6799 of file vulkan.hpp.

Referenced by operator==(), and setSparseResidencyImage2D().

## sparseResidencyImage3D

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidencyImage3D

Definition at line 6800 of file vulkan.hpp.

Referenced by operator==(), and setSparseResidencyImage3D().

## tessellationShader

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::tessellationShader

Definition at line 6758 of file vulkan.hpp.

Referenced by operator==(), and setTessellationShader().

## textureCompressionASTC_LDR

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::textureCompressionASTC_LDR

Definition at line 6774 of file vulkan.hpp.

Referenced by operator==(), and setTextureCompressionASTC_LDR().

## textureCompressionBC

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::textureCompressionBC

Definition at line 6775 of file vulkan.hpp.

Referenced by operator==(), and setTextureCompressionBC().

## textureCompressionETC2

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::textureCompressionETC2

Definition at line 6773 of file vulkan.hpp.

Referenced by operator==(), and setTextureCompressionETC2().

## variableMultisampleRate

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::variableMultisampleRate

Definition at line 6806 of file vulkan.hpp.

Referenced by operator==(), and setVariableMultisampleRate().

## vertexPipelineStoresAndAtomics

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::vertexPipelineStoresAndAtomics

Definition at line 6778 of file vulkan.hpp.

Referenced by operator==(), and setVertexPipelineStoresAndAtomics().

## wideLines

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::wideLines

Definition at line 6768 of file vulkan.hpp.

Referenced by operator==(), and setWideLines().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::multiDrawIndirect
Bool32 multiDrawIndirect
Definition: vulkan.hpp:6762
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::operator==
bool operator==(PhysicalDeviceFeatures const &rhs) const
Definition: vulkan.hpp:6689
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::textureCompressionBC
Bool32 textureCompressionBC
Definition: vulkan.hpp:6775
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderResourceMinLod
Bool32 shaderResourceMinLod
Definition: vulkan.hpp:6796
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::textureCompressionETC2
Bool32 textureCompressionETC2
Definition: vulkan.hpp:6773
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderInt16
Bool32 shaderInt16
Definition: vulkan.hpp:6794
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageBufferArrayDynamicIndexing
Bool32 shaderStorageBufferArrayDynamicIndexing
Definition: vulkan.hpp:6788
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::logicOp
Bool32 logicOp
Definition: vulkan.hpp:6761
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidency16Samples
Bool32 sparseResidency16Samples
Definition: vulkan.hpp:6804
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageMultisample
Bool32 shaderStorageImageMultisample
Definition: vulkan.hpp:6783
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::PhysicalDeviceFeatures
PhysicalDeviceFeatures(Bool32 robustBufferAccess_=0, Bool32 fullDrawIndexUint32_=0, Bool32 imageCubeArray_=0, Bool32 independentBlend_=0, Bool32 geometryShader_=0, Bool32 tessellationShader_=0, Bool32 sampleRateShading_=0, Bool32 dualSrcBlend_=0, Bool32 logicOp_=0, Bool32 multiDrawIndirect_=0, Bool32 drawIndirectFirstInstance_=0, Bool32 depthClamp_=0, Bool32 depthBiasClamp_=0, Bool32 fillModeNonSolid_=0, Bool32 depthBounds_=0, Bool32 wideLines_=0, Bool32 largePoints_=0, Bool32 alphaToOne_=0, Bool32 multiViewport_=0, Bool32 samplerAnisotropy_=0, Bool32 textureCompressionETC2_=0, Bool32 textureCompressionASTC_LDR_=0, Bool32 textureCompressionBC_=0, Bool32 occlusionQueryPrecise_=0, Bool32 pipelineStatisticsQuery_=0, Bool32 vertexPipelineStoresAndAtomics_=0, Bool32 fragmentStoresAndAtomics_=0, Bool32 shaderTessellationAndGeometryPointSize_=0, Bool32 shaderImageGatherExtended_=0, Bool32 shaderStorageImageExtendedFormats_=0, Bool32 shaderStorageImageMultisample_=0, Bool32 shaderStorageImageReadWithoutFormat_=0, Bool32 shaderStorageImageWriteWithoutFormat_=0, Bool32 shaderUniformBufferArrayDynamicIndexing_=0, Bool32 shaderSampledImageArrayDynamicIndexing_=0, Bool32 shaderStorageBufferArrayDynamicIndexing_=0, Bool32 shaderStorageImageArrayDynamicIndexing_=0, Bool32 shaderClipDistance_=0, Bool32 shaderCullDistance_=0, Bool32 shaderFloat64_=0, Bool32 shaderInt64_=0, Bool32 shaderInt16_=0, Bool32 shaderResourceResidency_=0, Bool32 shaderResourceMinLod_=0, Bool32 sparseBinding_=0, Bool32 sparseResidencyBuffer_=0, Bool32 sparseResidencyImage2D_=0, Bool32 sparseResidencyImage3D_=0, Bool32 sparseResidency2Samples_=0, Bool32 sparseResidency4Samples_=0, Bool32 sparseResidency8Samples_=0, Bool32 sparseResidency16Samples_=0, Bool32 sparseResidencyAliased_=0, Bool32 variableMultisampleRate_=0, Bool32 inheritedQueries_=0)
Definition: vulkan.hpp:6226
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::vertexPipelineStoresAndAtomics
Bool32 vertexPipelineStoresAndAtomics
Definition: vulkan.hpp:6778
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderSampledImageArrayDynamicIndexing
Bool32 shaderSampledImageArrayDynamicIndexing
Definition: vulkan.hpp:6787
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidency2Samples
Bool32 sparseResidency2Samples
Definition: vulkan.hpp:6801
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::fullDrawIndexUint32
Bool32 fullDrawIndexUint32
Definition: vulkan.hpp:6754
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidencyAliased
Bool32 sparseResidencyAliased
Definition: vulkan.hpp:6805
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderResourceResidency
Bool32 shaderResourceResidency
Definition: vulkan.hpp:6795
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::tessellationShader
Bool32 tessellationShader
Definition: vulkan.hpp:6758
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::depthClamp
Bool32 depthClamp
Definition: vulkan.hpp:6764
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageWriteWithoutFormat
Bool32 shaderStorageImageWriteWithoutFormat
Definition: vulkan.hpp:6785
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::depthBounds
Bool32 depthBounds
Definition: vulkan.hpp:6767
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::alphaToOne
Bool32 alphaToOne
Definition: vulkan.hpp:6770
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::pipelineStatisticsQuery
Bool32 pipelineStatisticsQuery
Definition: vulkan.hpp:6777
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::samplerAnisotropy
Bool32 samplerAnisotropy
Definition: vulkan.hpp:6772
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderUniformBufferArrayDynamicIndexing
Bool32 shaderUniformBufferArrayDynamicIndexing
Definition: vulkan.hpp:6786
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::textureCompressionASTC_LDR
Bool32 textureCompressionASTC_LDR
Definition: vulkan.hpp:6774
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::largePoints
Bool32 largePoints
Definition: vulkan.hpp:6769
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderFloat64
Bool32 shaderFloat64
Definition: vulkan.hpp:6792
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::fillModeNonSolid
Bool32 fillModeNonSolid
Definition: vulkan.hpp:6766
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidency8Samples
Bool32 sparseResidency8Samples
Definition: vulkan.hpp:6803
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::dualSrcBlend
Bool32 dualSrcBlend
Definition: vulkan.hpp:6760
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::independentBlend
Bool32 independentBlend
Definition: vulkan.hpp:6756
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageArrayDynamicIndexing
Bool32 shaderStorageImageArrayDynamicIndexing
Definition: vulkan.hpp:6789
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderImageGatherExtended
Bool32 shaderImageGatherExtended
Definition: vulkan.hpp:6781
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::inheritedQueries
Bool32 inheritedQueries
Definition: vulkan.hpp:6807
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderCullDistance
Bool32 shaderCullDistance
Definition: vulkan.hpp:6791
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageExtendedFormats
Bool32 shaderStorageImageExtendedFormats
Definition: vulkan.hpp:6782
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::depthBiasClamp
Bool32 depthBiasClamp
Definition: vulkan.hpp:6765
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::multiViewport
Bool32 multiViewport
Definition: vulkan.hpp:6771
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseBinding
Bool32 sparseBinding
Definition: vulkan.hpp:6797
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::imageCubeArray
Bool32 imageCubeArray
Definition: vulkan.hpp:6755
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::occlusionQueryPrecise
Bool32 occlusionQueryPrecise
Definition: vulkan.hpp:6776
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::geometryShader
Bool32 geometryShader
Definition: vulkan.hpp:6757
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidency4Samples
Bool32 sparseResidency4Samples
Definition: vulkan.hpp:6802
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidencyImage2D
Bool32 sparseResidencyImage2D
Definition: vulkan.hpp:6799
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidencyBuffer
Bool32 sparseResidencyBuffer
Definition: vulkan.hpp:6798
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderStorageImageReadWithoutFormat
Bool32 shaderStorageImageReadWithoutFormat
Definition: vulkan.hpp:6784
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::robustBufferAccess
Bool32 robustBufferAccess
Definition: vulkan.hpp:6753
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderInt64
Bool32 shaderInt64
Definition: vulkan.hpp:6793
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sparseResidencyImage3D
Bool32 sparseResidencyImage3D
Definition: vulkan.hpp:6800
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::wideLines
Bool32 wideLines
Definition: vulkan.hpp:6768
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::sampleRateShading
Bool32 sampleRateShading
Definition: vulkan.hpp:6759
VkPhysicalDeviceFeatures
Definition: vulkan_core.h:1793
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderClipDistance
Bool32 shaderClipDistance
Definition: vulkan.hpp:6790
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::variableMultisampleRate
Bool32 variableMultisampleRate
Definition: vulkan.hpp:6806
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::drawIndirectFirstInstance
Bool32 drawIndirectFirstInstance
Definition: vulkan.hpp:6763
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::shaderTessellationAndGeometryPointSize
Bool32 shaderTessellationAndGeometryPointSize
Definition: vulkan.hpp:6780
VULKAN_HPP_NAMESPACE::PhysicalDeviceFeatures::fragmentStoresAndAtomics
Bool32 fragmentStoresAndAtomics
Definition: vulkan.hpp:6779